Commit 6fc82072 authored by Sergio Luis O. B. Correia's avatar Sergio Luis O. B. Correia Committed by Russ Cox

go: makes it build for the case $GOROOT has whitespaces

the bash scripts and makefiles for building go didn't take into account
the fact $GOROOT / $GOBIN could both be directories containing whitespaces,
and was not possible to build it in such a situation.

this commit adjusts the various makefiles/scripts to make it aware of that
possibility, and now it builds successfully when using a path with whitespaces
as well.

Fixes #115.

R=rsc, dsymonds1
https://golang.org/cl/157067
parent 2b1133ff
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
. $GOROOT/src/Make.$GOARCH . "$GOROOT"/src/Make.$GOARCH
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../src/Make.$(GOARCH)
TARG=gmp TARG=gmp
...@@ -22,7 +22,7 @@ CGO_LDFLAGS=-lgmp ...@@ -22,7 +22,7 @@ CGO_LDFLAGS=-lgmp
CLEANFILES+=pi fib CLEANFILES+=pi fib
include $(GOROOT)/src/Make.pkg include ../../../src/Make.pkg
# Simple test programs # Simple test programs
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../src/Make.$(GOARCH)
TARG=stdio TARG=stdio
CGOFILES=\ CGOFILES=\
...@@ -10,7 +10,7 @@ CGOFILES=\ ...@@ -10,7 +10,7 @@ CGOFILES=\
CLEANFILES+=hello fib chain run.out CLEANFILES+=hello fib chain run.out
include $(GOROOT)/src/Make.pkg include ../../../src/Make.pkg
%: install %.go %: install %.go
$(GC) $*.go $(GC) $*.go
......
...@@ -7,6 +7,11 @@ ifndef GOBIN ...@@ -7,6 +7,11 @@ ifndef GOBIN
GOBIN=$(HOME)/bin GOBIN=$(HOME)/bin
endif endif
# ugly hack to deal with whitespaces in $GOBIN
nullstring :=
space := $(nullstring) # a space at the end
QUOTED_GOBIN=$(subst $(space),\ ,$(GOBIN))
all: $(TARG) all: $(TARG)
$(TARG): _go_.$O $(OFILES) $(TARG): _go_.$O $(OFILES)
...@@ -15,13 +20,13 @@ $(TARG): _go_.$O $(OFILES) ...@@ -15,13 +20,13 @@ $(TARG): _go_.$O $(OFILES)
_go_.$O: $(GOFILES) _go_.$O: $(GOFILES)
$(GC) -o $@ $(GOFILES) $(GC) -o $@ $(GOFILES)
install: $(GOBIN)/$(TARG) install: $(QUOTED_GOBIN)/$(TARG)
$(GOBIN)/$(TARG): $(TARG) $(QUOTED_GOBIN)/$(TARG): $(TARG)
cp $(TARG) $@ cp -f $(TARG) $(QUOTED_GOBIN)
clean: clean:
rm -f *.[$(OS)] $(TARG) $(CLEANFILES) rm -f *.[$(OS)] $(TARG) $(CLEANFILES)
nuke: nuke:
rm -f *.[$(OS)] $(TARG) $(CLEANFILES) $(GOBIN)/$(TARG) rm -f *.[$(OS)] $(TARG) $(CLEANFILES) $(QUOTED_GOBIN)/$(TARG)
...@@ -4,14 +4,14 @@ ...@@ -4,14 +4,14 @@
CC=quietgcc CC=quietgcc
LD=quietgcc LD=quietgcc
CFLAGS=-ggdb -I$(GOROOT)/include -O2 -fno-inline CFLAGS=-ggdb -I"$(GOROOT)"/include -O2 -fno-inline
O=o O=o
YFLAGS=-d YFLAGS=-d
# GNU Make syntax: # GNU Make syntax:
ifndef GOBIN ifndef GOBIN
GOBIN=$(HOME)/bin GOBIN="$(HOME)/bin"
endif endif
PWD=$(shell pwd) PWD=$(shell pwd)
%.$O: %.c %.$O: %.c
$(CC) $(CFLAGS) -c $(PWD)/$*.c $(CC) $(CFLAGS) -c "$(PWD)"/$*.c
...@@ -12,7 +12,13 @@ TARG_words=$(subst /, ,$(TARG)) ...@@ -12,7 +12,13 @@ TARG_words=$(subst /, ,$(TARG))
elem=$(word $(words $(TARG_words)),$(TARG_words)) elem=$(word $(words $(TARG_words)),$(TARG_words))
dir=$(patsubst %/$(elem),%,./$(TARG)) dir=$(patsubst %/$(elem),%,./$(TARG))
pkgdir=$(GOROOT)/pkg/$(GOOS)_$(GOARCH)
# ugly hack to deal with whitespaces in $GOROOT
nullstring :=
space := $(nullstring) # a space at the end
QUOTED_GOROOT=$(subst $(space),\ ,$(GOROOT))
pkgdir=$(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)
INSTALLFILES=$(pkgdir)/$(TARG).a INSTALLFILES=$(pkgdir)/$(TARG).a
...@@ -43,8 +49,8 @@ testpackage-clean: ...@@ -43,8 +49,8 @@ testpackage-clean:
install: $(INSTALLFILES) install: $(INSTALLFILES)
$(pkgdir)/$(TARG).a: package $(pkgdir)/$(TARG).a: package
@test -d $(GOROOT)/pkg && mkdir -p $(pkgdir)/$(dir) @test -d $(QUOTED_GOROOT)/pkg && mkdir -p $(pkgdir)/$(dir)
cp _obj/$(TARG).a $@ cp _obj/$(TARG).a "$@"
_go_.$O: $(GOFILES) $(PREREQ) _go_.$O: $(GOFILES) $(PREREQ)
$(GC) -o $@ $(GOFILES) $(GC) -o $@ $(GOFILES)
...@@ -96,7 +102,7 @@ dir: ...@@ -96,7 +102,7 @@ dir:
# Compile x.cgo3.c with 6c; needs access to the runtime headers. # Compile x.cgo3.c with 6c; needs access to the runtime headers.
RUNTIME_CFLAGS_amd64=-D_64BIT RUNTIME_CFLAGS_amd64=-D_64BIT
RUNTIME_CFLAGS=-I$(GOROOT)/src/pkg/runtime $(RUNTIME_CFLAGS_$(GOARCH)) RUNTIME_CFLAGS=-I"$(GOROOT)/src/pkg/runtime" $(RUNTIME_CFLAGS_$(GOARCH))
%.cgo3.$O: %.cgo3.c %.cgo3.$O: %.cgo3.c
$(CC) $(CFLAGS) $(RUNTIME_CFLAGS) $*.cgo3.c $(CC) $(CFLAGS) $(RUNTIME_CFLAGS) $*.cgo3.c
...@@ -116,8 +122,8 @@ $(elem)_%.so: %.cgo4.o ...@@ -116,8 +122,8 @@ $(elem)_%.so: %.cgo4.o
gcc $(_CGO_CFLAGS_$(GOARCH)) -o $@ $*.cgo4.o $(CGO_LDFLAGS) $(_CGO_LDFLAGS_$(GOOS)) gcc $(_CGO_CFLAGS_$(GOARCH)) -o $@ $*.cgo4.o $(CGO_LDFLAGS) $(_CGO_LDFLAGS_$(GOOS))
$(pkgdir)/$(dir)/$(elem)_%.so: $(elem)_%.so $(pkgdir)/$(dir)/$(elem)_%.so: $(elem)_%.so
@test -d $(GOROOT)/pkg && mkdir -p $(pkgdir)/$(dir) @test -d $(QUOTED_GOROOT/pkg && mkdir -p $(pkgdir)/$(dir)
cp $(elem)_$*.so $@ cp $(elem)_$*.so "$@"
# Generic build rules. # Generic build rules.
# These come last so that the rules above can override them # These come last so that the rules above can override them
......
...@@ -3,8 +3,8 @@ ...@@ -3,8 +3,8 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
rm -rf $GOROOT/pkg/${GOOS}_$GOARCH rm -rf "$GOROOT"/pkg/${GOOS}_$GOARCH
rm -f $GOROOT/lib/*.a rm -f "$GOROOT"/lib/*.a
for i in lib9 libbio libcgo libmach cmd pkg \ for i in lib9 libbio libcgo libmach cmd pkg \
../misc/cgo/gmp ../misc/cgo/stdio \ ../misc/cgo/gmp ../misc/cgo/stdio \
../test/bench ../test/bench
......
...@@ -21,7 +21,7 @@ YFILES=\ ...@@ -21,7 +21,7 @@ YFILES=\
a.y\ a.y\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -37,4 +37,4 @@ clean: ...@@ -37,4 +37,4 @@ clean:
rm -f *.$O $(TARG) *.5 enam.c 5.out a.out y.tab.h y.tab.c rm -f *.$O $(TARG) *.5 enam.c 5.out a.out y.tab.h y.tab.c
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -29,7 +29,7 @@ LIB=\ ...@@ -29,7 +29,7 @@ LIB=\
../cc/cc.a$O ../cc/cc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -37,7 +37,7 @@ clean: ...@@ -37,7 +37,7 @@ clean:
rm -f *.$O $(TARG) *.5 enam.c 5.out a.out rm -f *.$O $(TARG) *.5 enam.c 5.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../cc/%.c %.$O: ../cc/%.c
$(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c $(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c
...@@ -27,7 +27,7 @@ LIB=\ ...@@ -27,7 +27,7 @@ LIB=\
../gc/gc.a$O ../gc/gc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lbio -l9 -lm $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9 -lm
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -35,4 +35,4 @@ clean: ...@@ -35,4 +35,4 @@ clean:
rm -f *.o $(TARG) *.5 enam.c 5.out a.out rm -f *.o $(TARG) *.5 enam.c 5.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -25,7 +25,7 @@ HFILES=\ ...@@ -25,7 +25,7 @@ HFILES=\
../5l/5.out.h\ ../5l/5.out.h\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -36,7 +36,7 @@ clean: ...@@ -36,7 +36,7 @@ clean:
rm -f *.o $(TARG) *.5 enam.c 5.out a.out rm -f *.o $(TARG) *.5 enam.c 5.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../ld/%.c %.$O: ../ld/%.c
$(CC) $(CFLAGS) -c -I. ../ld/$*.c $(CC) $(CFLAGS) -c -I. ../ld/$*.c
...@@ -21,7 +21,7 @@ YFILES=\ ...@@ -21,7 +21,7 @@ YFILES=\
a.y\ a.y\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -37,4 +37,4 @@ clean: ...@@ -37,4 +37,4 @@ clean:
rm -f *.$O $(TARG) *.6 enam.c 6.out a.out y.tab.h y.tab.c rm -f *.$O $(TARG) *.6 enam.c 6.out a.out y.tab.h y.tab.c
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -30,7 +30,7 @@ LIB=\ ...@@ -30,7 +30,7 @@ LIB=\
../cc/cc.a$O ../cc/cc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -38,7 +38,7 @@ clean: ...@@ -38,7 +38,7 @@ clean:
rm -f *.$O $(TARG) *.6 enam.c 6.out a.out rm -f *.$O $(TARG) *.6 enam.c 6.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../cc/%.c %.$O: ../cc/%.c
$(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c $(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c
...@@ -28,7 +28,7 @@ LIB=\ ...@@ -28,7 +28,7 @@ LIB=\
../gc/gc.a$O ../gc/gc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lbio -l9 -lm $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9 -lm
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -36,4 +36,4 @@ clean: ...@@ -36,4 +36,4 @@ clean:
rm -f $(TARG) enam.c 6.out a.out *.$O *.6 rm -f $(TARG) enam.c 6.out a.out *.$O *.6
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -28,7 +28,7 @@ HFILES=\ ...@@ -28,7 +28,7 @@ HFILES=\
../ld/macho.h\ ../ld/macho.h\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -39,7 +39,7 @@ clean: ...@@ -39,7 +39,7 @@ clean:
rm -f *.$O $(TARG) *.6 enam.c 6.out a.out rm -f *.$O $(TARG) *.6 enam.c 6.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../ld/%.c %.$O: ../ld/%.c
$(CC) $(CFLAGS) -c -I. ../ld/$*.c $(CC) $(CFLAGS) -c -I. ../ld/$*.c
...@@ -21,7 +21,7 @@ YFILES=\ ...@@ -21,7 +21,7 @@ YFILES=\
a.y\ a.y\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -37,4 +37,4 @@ clean: ...@@ -37,4 +37,4 @@ clean:
rm -f *.$O $(TARG) *.6 enam.c 6.out a.out y.tab.h y.tab.c rm -f *.$O $(TARG) *.6 enam.c 6.out a.out y.tab.h y.tab.c
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -32,7 +32,7 @@ LIB=\ ...@@ -32,7 +32,7 @@ LIB=\
../cc/cc.a$O ../cc/cc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lm -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lm -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -40,7 +40,7 @@ clean: ...@@ -40,7 +40,7 @@ clean:
rm -f *.$O $(TARG) *.8 8.out a.out rm -f *.$O $(TARG) *.8 8.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../cc/%.c %.$O: ../cc/%.c
$(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c $(CC) $(CFLAGS) -c -I. -o $@ ../cc/$*.c
...@@ -29,7 +29,7 @@ LIB=\ ...@@ -29,7 +29,7 @@ LIB=\
../gc/gc.a$O ../gc/gc.a$O
$(TARG): $(OFILES) $(LIB) $(TARG): $(OFILES) $(LIB)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) $(LIB) -lbio -l9 -lm $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) $(LIB) -lbio -l9 -lm
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -37,4 +37,4 @@ clean: ...@@ -37,4 +37,4 @@ clean:
rm -f *.$O $(TARG) *.8 enam.c 8.out a.out rm -f *.$O $(TARG) *.8 enam.c 8.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -28,7 +28,7 @@ HFILES=\ ...@@ -28,7 +28,7 @@ HFILES=\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -39,7 +39,7 @@ clean: ...@@ -39,7 +39,7 @@ clean:
rm -f *.$O $(TARG) *.8 enam.c 8.out a.out rm -f *.$O $(TARG) *.8 enam.c 8.out a.out
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
%.$O: ../ld/%.c %.$O: ../ld/%.c
$(CC) $(CFLAGS) -c -I. ../ld/$*.c $(CC) $(CFLAGS) -c -I. ../ld/$*.c
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=cgo TARG=cgo
GOFILES=\ GOFILES=\
...@@ -12,4 +12,4 @@ GOFILES=\ ...@@ -12,4 +12,4 @@ GOFILES=\
out.go\ out.go\
util.go\ util.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
...@@ -17,7 +17,7 @@ HFILES=\ ...@@ -17,7 +17,7 @@ HFILES=\
tree.h\ tree.h\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lmach -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lmach -lbio -l9
clean: clean:
rm -f *.$O $(TARG) rm -f *.$O $(TARG)
...@@ -31,6 +31,6 @@ install-darwin: $(TARG) ...@@ -31,6 +31,6 @@ install-darwin: $(TARG)
@true @true
install-default: $(TARG) install-default: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -2,14 +2,14 @@ ...@@ -2,14 +2,14 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=ebnflint TARG=ebnflint
GOFILES=\ GOFILES=\
ebnflint.go\ ebnflint.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
test: $(TARG) test: $(TARG)
$(TARG) -start="SourceFile" $(GOROOT)/doc/go_spec.html $(TARG) -start="SourceFile" "$(GOROOT)"/doc/go_spec.html
...@@ -5,7 +5,7 @@ ...@@ -5,7 +5,7 @@
set -e set -e
. $GOROOT/src/Make.$GOARCH . "$GOROOT"/src/Make.$GOARCH
if [ -z "$GC" ]; then if [ -z "$GC" ]; then
echo 'missing $GC - maybe no Make.$GOARCH?' 1>&2 echo 'missing $GC - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
......
...@@ -13,12 +13,12 @@ OFILES=\ ...@@ -13,12 +13,12 @@ OFILES=\
HFILES=a.h HFILES=a.h
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lbio -l9
clean: clean:
rm -f *.$O $(TARG) rm -f *.$O $(TARG)
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=godoc TARG=godoc
GOFILES=\ GOFILES=\
...@@ -12,4 +12,4 @@ GOFILES=\ ...@@ -12,4 +12,4 @@ GOFILES=\
snippet.go\ snippet.go\
spec.go\ spec.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
...@@ -2,18 +2,18 @@ ...@@ -2,18 +2,18 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=gofmt TARG=gofmt
GOFILES=\ GOFILES=\
gofmt.go\ gofmt.go\
rewrite.go\ rewrite.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
test: $(TARG) test: $(TARG)
./test.sh ./test.sh
smoketest: $(TARG) smoketest: $(TARG)
./test.sh $(GOROOT)/src/pkg/go/parser/parser.go ./test.sh "$(GOROOT)"/src/pkg/go/parser/parser.go
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
. $GOROOT/src/Make.$GOARCH . "$GOROOT"/src/Make.$GOARCH
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
...@@ -28,14 +28,14 @@ count() { ...@@ -28,14 +28,14 @@ count() {
# apply to one file # apply to one file
apply1() { apply1() {
#echo $1 $2 #echo $1 $2
case `basename $F` in case `basename "$F"` in
# the following files are skipped because they are test cases # the following files are skipped because they are test cases
# for syntax errors and thus won't parse in the first place: # for syntax errors and thus won't parse in the first place:
func3.go | const2.go | \ func3.go | const2.go | \
bug014.go | bug050.go | bug068.go | bug083.go | bug088.go | \ bug014.go | bug050.go | bug068.go | bug083.go | bug088.go | \
bug106.go | bug121.go | bug125.go | bug133.go | bug160.go | \ bug106.go | bug121.go | bug125.go | bug133.go | bug160.go | \
bug163.go | bug166.go | bug169.go | bug217.go ) ;; bug163.go | bug166.go | bug169.go | bug217.go ) ;;
* ) $1 $2; count $F;; * ) "$1" "$2"; count "$F";;
esac esac
} }
...@@ -43,15 +43,15 @@ apply1() { ...@@ -43,15 +43,15 @@ apply1() {
# apply to local files # apply to local files
applydot() { applydot() {
for F in `find . -name "*.go" | grep -v "._"`; do for F in `find . -name "*.go" | grep -v "._"`; do
apply1 $1 $F apply1 "$1" $F
done done
} }
# apply to all .go files we can find # apply to all .go files we can find
apply() { apply() {
for F in `find $GOROOT -name "*.go" | grep -v "._"`; do for F in `find "$GOROOT" -name "*.go" | grep -v "._"`; do
apply1 $1 $F apply1 "$1" $F
done done
} }
...@@ -63,7 +63,7 @@ cleanup() { ...@@ -63,7 +63,7 @@ cleanup() {
silent() { silent() {
cleanup cleanup
$CMD $1 > /dev/null 2> $TMP1 $CMD "$1" > /dev/null 2> $TMP1
if [ $? != 0 ]; then if [ $? != 0 ]; then
cat $TMP1 cat $TMP1
echo "Error (silent mode test): test.sh $1" echo "Error (silent mode test): test.sh $1"
...@@ -74,7 +74,7 @@ silent() { ...@@ -74,7 +74,7 @@ silent() {
idempotent() { idempotent() {
cleanup cleanup
$CMD $1 > $TMP1 $CMD "$1" > $TMP1
if [ $? != 0 ]; then if [ $? != 0 ]; then
echo "Error (step 1 of idempotency test): test.sh $1" echo "Error (step 1 of idempotency test): test.sh $1"
exit 1 exit 1
...@@ -103,7 +103,7 @@ idempotent() { ...@@ -103,7 +103,7 @@ idempotent() {
valid() { valid() {
cleanup cleanup
$CMD $1 > $TMP1 $CMD "$1" > $TMP1
if [ $? != 0 ]; then if [ $? != 0 ]; then
echo "Error (step 1 of validity test): test.sh $1" echo "Error (step 1 of validity test): test.sh $1"
exit 1 exit 1
...@@ -120,11 +120,11 @@ valid() { ...@@ -120,11 +120,11 @@ valid() {
runtest() { runtest() {
#echo "Testing silent mode" #echo "Testing silent mode"
cleanup cleanup
$1 silent $2 "$1" silent "$2"
#echo "Testing idempotency" #echo "Testing idempotency"
cleanup cleanup
$1 idempotent $2 "$1" idempotent "$2"
} }
...@@ -137,15 +137,15 @@ runtests() { ...@@ -137,15 +137,15 @@ runtests() {
cleanup cleanup
applydot valid applydot valid
else else
for F in $*; do for F in "$*"; do
runtest apply1 $F runtest apply1 "$F"
done done
fi fi
} }
# run over all .go files # run over all .go files
runtests $* runtests "$*"
cleanup cleanup
# done # done
......
...@@ -9,10 +9,10 @@ OFILES=\ ...@@ -9,10 +9,10 @@ OFILES=\
ar.$O\ ar.$O\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lmach -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lmach -lbio -l9
clean: clean:
rm -f *.$O $(TARG) rm -f *.$O $(TARG)
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -10,5 +10,5 @@ clean: ...@@ -10,5 +10,5 @@ clean:
@true @true
install: $(TARG) install: $(TARG)
! test -f $(GOBIN)/$(TARG) || chmod u+w $(GOBIN)/$(TARG) ! test -f "$(GOBIN)"/$(TARG) || chmod u+w "$(GOBIN)"/$(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
...@@ -21,7 +21,7 @@ if [ ! -f [Mm]akefile ]; then ...@@ -21,7 +21,7 @@ if [ ! -f [Mm]akefile ]; then
exit 2 exit 2
fi fi
. $GOROOT/src/Make.$GOARCH . "$GOROOT"/src/Make.$GOARCH
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 2 exit 2
......
...@@ -2,13 +2,13 @@ ...@@ -2,13 +2,13 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=goyacc TARG=goyacc
GOFILES=\ GOFILES=\
goyacc.go\ goyacc.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
units: goyacc units.y units: goyacc units.y
./goyacc units.y ./goyacc units.y
......
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=hgpatch TARG=hgpatch
GOFILES=\ GOFILES=\
main.go\ main.go\
include $(GOROOT)/src/Make.cmd include ../../Make.cmd
...@@ -7,7 +7,7 @@ set -e ...@@ -7,7 +7,7 @@ set -e
bash clean.bash bash clean.bash
. $GOROOT/src/Make.$GOARCH . "$GOROOT"/src/Make.$GOARCH
if [ -z "$O" ]; then if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2 echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 1 exit 1
......
...@@ -13,12 +13,12 @@ OFILES=\ ...@@ -13,12 +13,12 @@ OFILES=\
nm.$O\ nm.$O\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lmach -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lmach -lbio -l9
clean: clean:
rm -f *.$O $(TARG) rm -f *.$O $(TARG)
install: $(TARG) install: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -17,7 +17,7 @@ OFILES=\ ...@@ -17,7 +17,7 @@ OFILES=\
# fns.h\ # fns.h\
$(TARG): $(OFILES) $(TARG): $(OFILES)
$(LD) -o $(TARG) -L$(GOROOT)/lib $(OFILES) -lmach -lbio -l9 $(LD) -o $(TARG) -L"$(GOROOT)"/lib $(OFILES) -lmach -lbio -l9
clean: clean:
rm -f *.$O $(TARG) rm -f *.$O $(TARG)
...@@ -31,6 +31,6 @@ install-darwin: $(TARG) ...@@ -31,6 +31,6 @@ install-darwin: $(TARG)
@true @true
install-default: $(TARG) install-default: $(TARG)
cp $(TARG) $(GOBIN)/$(TARG) cp $(TARG) "$(GOBIN)"/$(TARG)
$(OFILES): $(HFILES) $(OFILES): $(HFILES)
...@@ -92,11 +92,11 @@ OFILES=\ ...@@ -92,11 +92,11 @@ OFILES=\
$(UTFOFILES)\ $(UTFOFILES)\
HFILES=\ HFILES=\
$(GOROOT)/include/u.h\ "$(GOROOT)"/include/u.h\
$(GOROOT)/include/libc.h\ "$(GOROOT)"/include/libc.h\
install: $(LIB) install: $(LIB)
cp $(LIB) $(GOROOT)/lib cp $(LIB) "$(GOROOT)/lib"
$(LIB): $(OFILES) $(LIB): $(OFILES)
ar rsc $(LIB) $(OFILES) ar rsc $(LIB) $(OFILES)
...@@ -111,7 +111,7 @@ clean: ...@@ -111,7 +111,7 @@ clean:
rm -f *.$O *.6 6.out $(LIB) rm -f *.$O *.6 6.out $(LIB)
nuke: clean nuke: clean
rm -f $(GOROOT)/lib/$(LIB) rm -f "$(GOROOT)"/lib/$(LIB)
#XLIB=$PLAN9/lib/$LIB #XLIB=$PLAN9/lib/$LIB
......
...@@ -45,10 +45,10 @@ OFILES=\ ...@@ -45,10 +45,10 @@ OFILES=\
bwrite.$O\ bwrite.$O\
HFILES=\ HFILES=\
$(GOROOT)/include/bio.h\ ../../include/bio.h
install: $(LIB) install: $(LIB)
cp $(LIB) $(GOROOT)/lib cp $(LIB) ../../lib
$(LIB): $(OFILES) $(LIB): $(OFILES)
ar rsc $(LIB) $(OFILES) ar rsc $(LIB) $(OFILES)
...@@ -62,4 +62,4 @@ clean: ...@@ -62,4 +62,4 @@ clean:
rm -f $(OFILES) *.6 6.out $(LIB) rm -f $(OFILES) *.6 6.out $(LIB)
nuke: clean nuke: clean
rm -f $(GOROOT)/lib/$(LIB) rm -f ../../lib/$(LIB)
...@@ -2,9 +2,14 @@ ...@@ -2,9 +2,14 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
# ugly hack to deal with whitespaces in $GOROOT
nullstring :=
space := $(nullstring) # a space at the end
QUOTED_GOROOT=$(subst $(space),\ ,$(GOROOT))
all: libcgo.so all: libcgo.so
install: $(GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so install: $(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so
OFILES=\ OFILES=\
$(GOOS)_$(GOARCH).o\ $(GOOS)_$(GOARCH).o\
...@@ -27,8 +32,8 @@ LDFLAGS_freebsd=-pthread -shared -lm ...@@ -27,8 +32,8 @@ LDFLAGS_freebsd=-pthread -shared -lm
libcgo.so: $(OFILES) libcgo.so: $(OFILES)
gcc $(CFLAGS_$(GOARCH)) -o libcgo.so $(OFILES) $(LDFLAGS_$(GOOS)) gcc $(CFLAGS_$(GOARCH)) -o libcgo.so $(OFILES) $(LDFLAGS_$(GOOS))
$(GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so: libcgo.so $(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)/libcgo.so: libcgo.so
cp libcgo.so $@ cp libcgo.so $(QUOTED_GOROOT)/pkg/$(GOOS)_$(GOARCH)
clean: clean:
rm -f *.o *.so rm -f *.o *.so
......
...@@ -49,10 +49,10 @@ OFILES=\ ...@@ -49,10 +49,10 @@ OFILES=\
8obj.$O\ 8obj.$O\
$(shell uname | tr A-Z a-z).$O\ $(shell uname | tr A-Z a-z).$O\
HFILES=$(GOROOT)/include/mach.h elf.h macho.h obj.h HFILES=../../include/mach.h elf.h macho.h obj.h
install: $(LIB) install: $(LIB)
cp $(LIB) $(GOROOT)/lib cp $(LIB) ../../lib
$(LIB): $(OFILES) $(LIB): $(OFILES)
ar rsc $(LIB) $(OFILES) ar rsc $(LIB) $(OFILES)
...@@ -63,5 +63,5 @@ clean: ...@@ -63,5 +63,5 @@ clean:
rm -f *.$O $(LIB) rm -f *.$O $(LIB)
nuke: clean nuke: clean
rm -f $(GOROOT)/lib/$(LIB) rm -f "$(GOROOT)"/lib/$(LIB)
...@@ -7,7 +7,7 @@ set -e ...@@ -7,7 +7,7 @@ set -e
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
export MAKEFLAGS=-j4 export MAKEFLAGS=-j4
if ! test -f $GOROOT/include/u.h if ! test -f "$GOROOT"/include/u.h
then then
echo '$GOROOT is not set correctly or not exported' 1>&2 echo '$GOROOT is not set correctly or not exported' 1>&2
exit 1 exit 1
......
...@@ -7,13 +7,13 @@ set -e ...@@ -7,13 +7,13 @@ set -e
GOBIN="${GOBIN:-$HOME/bin}" GOBIN="${GOBIN:-$HOME/bin}"
export MAKEFLAGS=-j4 export MAKEFLAGS=-j4
if ! test -f $GOROOT/include/u.h if ! test -f "$GOROOT"/include/u.h
then then
echo '$GOROOT is not set correctly or not exported' 1>&2 echo '$GOROOT is not set correctly or not exported' 1>&2
exit 1 exit 1
fi fi
if ! test -d $GOBIN if ! test -d "$GOBIN"
then then
echo '$GOBIN is not a directory or does not exist' 1>&2 echo '$GOBIN is not a directory or does not exist' 1>&2
echo 'create it or set $GOBIN differently' 1>&2 echo 'create it or set $GOBIN differently' 1>&2
...@@ -36,18 +36,18 @@ darwin | linux | nacl | freebsd) ...@@ -36,18 +36,18 @@ darwin | linux | nacl | freebsd)
exit 1 exit 1
esac esac
rm -f $GOBIN/quietgcc rm -f "$GOBIN"/quietgcc
CC=${CC:-gcc} CC=${CC:-gcc}
sed -e "s|@CC@|$CC|" < quietgcc.bash > $GOBIN/quietgcc sed -e "s|@CC@|$CC|" < quietgcc.bash > "$GOBIN"/quietgcc
chmod +x $GOBIN/quietgcc chmod +x "$GOBIN"/quietgcc
rm -f $GOBIN/gomake rm -f "$GOBIN"/gomake
MAKE=make MAKE=make
if ! make --version 2>/dev/null | grep 'GNU Make' >/dev/null; then if ! make --version 2>/dev/null | grep 'GNU Make' >/dev/null; then
MAKE=gmake MAKE=gmake
fi fi
(echo '#!/bin/sh'; echo 'exec '$MAKE' "$@"') >$GOBIN/gomake (echo '#!/bin/sh'; echo 'exec '$MAKE' "$@"') >"$GOBIN"/gomake
chmod +x $GOBIN/gomake chmod +x "$GOBIN"/gomake
if ! (cd lib9 && which quietgcc) >/dev/null 2>&1; then if ! (cd lib9 && which quietgcc) >/dev/null 2>&1; then
echo "installed quietgcc as $GOBIN/quietgcc but 'which quietgcc' fails" 1>&2 echo "installed quietgcc as $GOBIN/quietgcc but 'which quietgcc' fails" 1>&2
......
...@@ -139,7 +139,7 @@ install: install.dirs ...@@ -139,7 +139,7 @@ install: install.dirs
test: test.dirs test: test.dirs
nuke: nuke.dirs nuke: nuke.dirs
rm -rf $(GOROOT)/pkg/* rm -rf "$(GOROOT)"/pkg/*
deps: deps:
./deps.bash ./deps.bash
......
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=archive/tar TARG=archive/tar
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
reader.go\ reader.go\
writer.go\ writer.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=asn1 TARG=asn1
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
common.go\ common.go\
marshal.go\ marshal.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=big TARG=big
GOFILES=\ GOFILES=\
...@@ -13,4 +13,4 @@ GOFILES=\ ...@@ -13,4 +13,4 @@ GOFILES=\
OFILES=\ OFILES=\
arith_$(GOARCH).$O\ arith_$(GOARCH).$O\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=bignum TARG=bignum
GOFILES=\ GOFILES=\
...@@ -11,4 +11,4 @@ GOFILES=\ ...@@ -11,4 +11,4 @@ GOFILES=\
integer.go\ integer.go\
rational.go\ rational.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=bufio TARG=bufio
GOFILES=\ GOFILES=\
bufio.go\ bufio.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=bytes TARG=bytes
GOFILES=\ GOFILES=\
buffer.go\ buffer.go\
bytes.go\ bytes.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=compress/flate TARG=compress/flate
GOFILES=\ GOFILES=\
...@@ -14,4 +14,4 @@ GOFILES=\ ...@@ -14,4 +14,4 @@ GOFILES=\
token.go\ token.go\
util.go\ util.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=compress/gzip TARG=compress/gzip
GOFILES=\ GOFILES=\
gunzip.go\ gunzip.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=compress/zlib TARG=compress/zlib
GOFILES=\ GOFILES=\
reader.go\ reader.go\
writer.go\ writer.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=container/heap TARG=container/heap
GOFILES=\ GOFILES=\
heap.go\ heap.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=container/list TARG=container/list
GOFILES=\ GOFILES=\
list.go\ list.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=container/ring TARG=container/ring
GOFILES=\ GOFILES=\
ring.go\ ring.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=container/vector TARG=container/vector
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
stringvector.go\ stringvector.go\
vector.go\ vector.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/aes TARG=crypto/aes
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
cipher.go\ cipher.go\
const.go\ const.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/block TARG=crypto/block
GOFILES=\ GOFILES=\
...@@ -16,4 +16,4 @@ GOFILES=\ ...@@ -16,4 +16,4 @@ GOFILES=\
ofb.go\ ofb.go\
xor.go\ xor.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/hmac TARG=crypto/hmac
GOFILES=\ GOFILES=\
hmac.go\ hmac.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/md5 TARG=crypto/md5
GOFILES=\ GOFILES=\
md5.go\ md5.go\
md5block.go\ md5block.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/rc4 TARG=crypto/rc4
GOFILES=\ GOFILES=\
rc4.go\ rc4.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/rsa TARG=crypto/rsa
GOFILES=\ GOFILES=\
rsa.go\ rsa.go\
pkcs1v15.go\ pkcs1v15.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/sha1 TARG=crypto/sha1
GOFILES=\ GOFILES=\
sha1.go\ sha1.go\
sha1block.go\ sha1block.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/subtle TARG=crypto/subtle
GOFILES=\ GOFILES=\
constant_time.go\ constant_time.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/tls TARG=crypto/tls
GOFILES=\ GOFILES=\
...@@ -18,4 +18,4 @@ GOFILES=\ ...@@ -18,4 +18,4 @@ GOFILES=\
ca_set.go\ ca_set.go\
tls.go\ tls.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=crypto/x509 TARG=crypto/x509
GOFILES=\ GOFILES=\
x509.go\ x509.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=debug/dwarf TARG=debug/dwarf
GOFILES=\ GOFILES=\
...@@ -13,4 +13,4 @@ GOFILES=\ ...@@ -13,4 +13,4 @@ GOFILES=\
type.go\ type.go\
unit.go\ unit.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=debug/elf TARG=debug/elf
GOFILES=\ GOFILES=\
elf.go\ elf.go\
file.go\ file.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,12 +2,12 @@ ...@@ -2,12 +2,12 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=debug/gosym TARG=debug/gosym
GOFILES=\ GOFILES=\
pclntab.go\ pclntab.go\
symtab.go\ symtab.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=debug/macho TARG=debug/macho
GOFILES=\ GOFILES=\
macho.go\ macho.go\
file.go\ file.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=debug/proc TARG=debug/proc
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
proc_$(GOOS).go\ proc_$(GOOS).go\
regs_$(GOOS)_$(GOARCH).go\ regs_$(GOOS)_$(GOARCH).go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=ebnf TARG=ebnf
GOFILES=\ GOFILES=\
ebnf.go\ ebnf.go\
parser.go\ parser.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/ascii85 TARG=encoding/ascii85
GOFILES=\ GOFILES=\
ascii85.go\ ascii85.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/base64 TARG=encoding/base64
GOFILES=\ GOFILES=\
base64.go\ base64.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/binary TARG=encoding/binary
GOFILES=\ GOFILES=\
binary.go\ binary.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/git85 TARG=encoding/git85
GOFILES=\ GOFILES=\
git.go\ git.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/hex TARG=encoding/hex
GOFILES=\ GOFILES=\
hex.go\ hex.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=encoding/pem TARG=encoding/pem
GOFILES=\ GOFILES=\
pem.go\ pem.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=exec TARG=exec
GOFILES=\ GOFILES=\
exec.go\ exec.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/datafmt TARG=exp/datafmt
GOFILES=\ GOFILES=\
datafmt.go\ datafmt.go\
parser.go\ parser.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/draw TARG=exp/draw
GOFILES=\ GOFILES=\
...@@ -11,4 +11,4 @@ GOFILES=\ ...@@ -11,4 +11,4 @@ GOFILES=\
draw.go\ draw.go\
event.go\ event.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/eval TARG=exp/eval
GOFILES=\ GOFILES=\
...@@ -20,4 +20,4 @@ GOFILES=\ ...@@ -20,4 +20,4 @@ GOFILES=\
value.go\ value.go\
world.go\ world.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -12,13 +12,13 @@ set -e ...@@ -12,13 +12,13 @@ set -e
make make
6g main.go && 6l main.6 6g main.go && 6l main.6
( (
for i in $(egrep -l '// \$G (\$D/)?\$F\.go \&\& \$L \$F\.\$A && \./\$A\.out' $GOROOT/test/*.go $GOROOT/test/*/*.go) for i in $(egrep -l '// \$G (\$D/)?\$F\.go \&\& \$L \$F\.\$A && \./\$A\.out' "$GOROOT"/test/*.go "$GOROOT"/test/*/*.go)
do do
if grep '^import' $i >/dev/null 2>&1 if grep '^import' $i >/dev/null 2>&1
then then
true true
else else
if $GOROOT/usr/austin/eval/6.out -f $i >/tmp/out 2>&1 && ! test -s /tmp/out if "$GOROOT"/usr/austin/eval/6.out -f $i >/tmp/out 2>&1 && ! test -s /tmp/out
then then
echo PASS $i echo PASS $i
else else
......
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/exception TARG=exp/exception
GOFILES=\ GOFILES=\
exception.go\ exception.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/iterable TARG=exp/iterable
GOFILES=\ GOFILES=\
array.go\ array.go\
iterable.go\ iterable.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../../Make.$(GOARCH)
TARG=exp/nacl/av TARG=exp/nacl/av
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
event.go\ event.go\
image.go\ image.go\
include $(GOROOT)/src/Make.pkg include ../../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../../Make.$(GOARCH)
TARG=exp/nacl/srpc TARG=exp/nacl/srpc
GOFILES=\ GOFILES=\
...@@ -10,4 +10,4 @@ GOFILES=\ ...@@ -10,4 +10,4 @@ GOFILES=\
msg.go\ msg.go\
server.go\ server.go\
include $(GOROOT)/src/Make.pkg include ../../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=exp/ogle TARG=exp/ogle
GOFILES=\ GOFILES=\
...@@ -20,7 +20,7 @@ GOFILES=\ ...@@ -20,7 +20,7 @@ GOFILES=\
CLEANFILES+=ogle CLEANFILES+=ogle
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
main.$O: main.go package main.$O: main.go package
$(GC) -I_obj $< $(GC) -I_obj $<
......
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=expvar TARG=expvar
GOFILES=\ GOFILES=\
expvar.go\ expvar.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=flag TARG=flag
GOFILES=\ GOFILES=\
flag.go\ flag.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=fmt TARG=fmt
GOFILES=\ GOFILES=\
format.go\ format.go\
print.go\ print.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/ast TARG=go/ast
GOFILES=\ GOFILES=\
...@@ -11,4 +11,4 @@ GOFILES=\ ...@@ -11,4 +11,4 @@ GOFILES=\
filter.go\ filter.go\
walk.go\ walk.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/doc TARG=go/doc
GOFILES=\ GOFILES=\
comment.go\ comment.go\
doc.go\ doc.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/parser TARG=go/parser
GOFILES=\ GOFILES=\
interface.go\ interface.go\
parser.go\ parser.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/printer TARG=go/printer
GOFILES=\ GOFILES=\
printer.go\ printer.go\
nodes.go\ nodes.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,11 +2,11 @@ ...@@ -2,11 +2,11 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/scanner TARG=go/scanner
GOFILES=\ GOFILES=\
errors.go\ errors.go\
scanner.go\ scanner.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=go/token TARG=go/token
GOFILES=\ GOFILES=\
token.go\ token.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=gob TARG=gob
GOFILES=\ GOFILES=\
...@@ -12,4 +12,4 @@ GOFILES=\ ...@@ -12,4 +12,4 @@ GOFILES=\
encoder.go\ encoder.go\
type.go\ type.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../Make.$(GOARCH)
TARG=hash TARG=hash
GOFILES=\ GOFILES=\
hash.go\ hash.go\
include $(GOROOT)/src/Make.pkg include ../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=hash/adler32 TARG=hash/adler32
GOFILES=\ GOFILES=\
adler32.go\ adler32.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
...@@ -2,10 +2,10 @@ ...@@ -2,10 +2,10 @@
# Use of this source code is governed by a BSD-style # Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file. # license that can be found in the LICENSE file.
include $(GOROOT)/src/Make.$(GOARCH) include ../../../Make.$(GOARCH)
TARG=hash/crc32 TARG=hash/crc32
GOFILES=\ GOFILES=\
crc32.go\ crc32.go\
include $(GOROOT)/src/Make.pkg include ../../../Make.pkg
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment